Package org.kie.internal.conf

# Enum Class ParallelExecutionOption

java.lang.Object
java.lang.Enum<ParallelExecutionOption>
org.kie.internal.conf.ParallelExecutionOption

All Implemented Interfaces:
  `Serializable`, `Comparable<ParallelExecutionOption>`, `Constable`, `KieBaseOption`, `Option`, `SingleValueKieBaseOption`, `SingleValueOption`, `SingleValueRuleBaseOption`

public enum ParallelExecutionOption extends Enum<ParallelExecutionOption> implements SingleValueRuleBaseOption
Determines is the engine should evaluate rules and execute their consequences sequentially or in parallel. drools.parallelExecution = <sequential|parallel_evaluation|fully_parallel> DEFAULT = SEQUENTIAL

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FULLY_PARALLEL`
  `PARALLEL_EVALUATION`
  `SEQUENTIAL`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<ParallelExecutionOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`

  ### Fields inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ParallelExecutionOption`
  `determineParallelExecution(String value)`
  `String`
  `getPropertyName()`
  `boolean`
  `isParallel()`
  `String`
  `toExternalForm()`
  `static ParallelExecutionOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ParallelExecutionOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

  ### Methods inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

  `type`

- ## Enum Constant Details

  - ### SEQUENTIAL

    public static final ParallelExecutionOption SEQUENTIAL

  - ### PARALLEL_EVALUATION

    public static final ParallelExecutionOption PARALLEL_EVALUATION

  - ### FULLY_PARALLEL

    public static final ParallelExecutionOption FULLY_PARALLEL

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<ParallelExecutionOption> KEY

- ## Method Details

  - ### values

    public static ParallelExecutionOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ParallelExecutionOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### determineParallelExecution

    public static ParallelExecutionOption determineParallelExecution(String value)

  - ### isParallel

    public boolean isParallel()

  - ### toExternalForm

    public String toExternalForm()